Bug 407452 - Project loading crashes if i change Language settings (Italian Windows)
Summary: Project loading crashes if i change Language settings (Italian Windows)
Status: RESOLVED FIXED
Alias: None
Product: kdenlive
Classification: Unclassified
Component: Effects & Transitions (show other bugs)
Version: 19.04.1
Platform: Microsoft Windows Microsoft Windows
: NOR grave (vote)
Target Milestone: ---
Assignee: Vincent PINON
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-12 10:14 UTC by Davy Bartoloni
Modified: 2020-07-14 17:51 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 20.08.0
fritzibaby: Brainstorm+


Attachments
comma/dot issue gain on 19.04.1 for Windows. (Italian version) (172.49 KB, image/jpeg)
2019-05-12 10:14 UTC, Davy Bartoloni
Details
The same old error when project use , and not . (76.29 KB, image/jpeg)
2019-05-12 10:16 UTC, Davy Bartoloni
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Davy Bartoloni 2019-05-12 10:14:31 UTC
Created attachment 120001 [details]
comma/dot issue gain on 19.04.1 for Windows. (Italian version)

I just changed my regional settings of comma ( from , to . ) because i can't use anymore the opacity slider (i have just 0 or 1 on timeline preview)

after chnaging the value.. my project can't be loaded again (i have seen this issue a lot of times on old versions for Windows)

this is the image of the change, probably is necessary replace "," or "." on projects with something else... or parse the project to prevent the issue.. or alert the user about the wrong configuration of "comma".
Comment 1 Davy Bartoloni 2019-05-12 10:16:52 UTC
Created attachment 120002 [details]
The same old error when project use , and not .

This is the error (that i see from 2017) when changing regional settings and reloading a project with different regional settings.
Comment 2 Davy Bartoloni 2019-05-13 06:44:53 UTC
here the rendering error: 

[mp4 @ 000000000db9a040] Using AVStream.codec to pass codec parameters to muxers is deprecated, use AVStream.codecpar instead. [mp4 @ 000000000db9a040] Using AVStream.codec to pass codec parameters to muxers is deprecated, use AVStream.codecpar instead. Current Frame: 26, percentage: 0
Comment 3 emohr 2019-05-14 19:07:21 UTC
I added in issue: https://invent.kde.org/kde/kdenlive/issues/78
Comment 4 emohr 2020-07-14 17:51:31 UTC
Comma point issue is fixed with version 20.08.0.